


import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class SplashTouch extends StatelessWidget {


  Widget? child;
  Color? color;
  Color splashColor;
  double? round;
  Function? onTap;
  EdgeInsets? padding;
  double shadow;
  SplashTouch({this.child,this.color,this.round,this.onTap,this.padding,this.shadow=0,this.splashColor=Colors.blueGrey});

  @override
  Widget build(BuildContext context) {


    return Material(
        elevation: shadow,
        color: color,
        borderRadius:round!=null ? BorderRadius.circular(round!) : null,

        child:InkWell(
            splashColor: splashColor,
            onTap:(){
              onTap!();
            },
            borderRadius: round!=null ? BorderRadius.circular(round!) : null ,

            child:Padding(
                padding:padding ?? EdgeInsets.all(0),
                child: child)
        )
    );
  }
}